SDL_DispatchGPUComputeIndirect(3)

NAME
SDL_DispatchGPUComputeIndirect - Dispatches compute work with parameters set from a buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DispatchGPUComputeIndirect(
    SDL_GPUComputePass *compute_pass,
    SDL_GPUBuffer *buffer,
    Uint32 offset);

DESCRIPTION
The buffer layout should match the layout of

SDL_GPUIndirectDispatchCommand . You must not call this function before binding a compute pipeline.

A VERY IMPORTANT NOTE If you dispatch multiple times in a compute pass, and the dispatches write to the same resource region as each other, there is no guarantee of which order the writes will occur. If the write order matters, you MUST end the compute pass and begin another one.

FUNCTION PARAMETERS

compute_pass
    a compute pass handle.

buffer
    a buffer containing dispatch parameters.

offset
    the offset to start reading from the dispatch buffer.

AVAILABILITY
This function is available since SDL 3.2.0.